Events
asset.issuance.retracted
An asset issuance event was retracted because a reorg invalidated the source log.
An asset issuance event was retracted because a reorg invalidated the source log.
Delivery contract
| Field | Value |
|---|---|
| Event type | asset.issuance.retracted |
| Version | 1 |
| Lifecycle state | retracted |
| Counter-signed receipts | No event-specific advice |
| SDK type | Webhook.AssetIssuanceRetractedV1 |
This row gives advice only. DALP waits for a counter-signed receipt only if the webhook endpoint's counterSignedReceipts value is true when DALP queues the delivery. When the value is false, a normal 2xx response completes the delivery.
Related references:
idxr_assetidxr_token
Payload schema
{
"type": "object",
"properties": {
"assetAddress": {
"type": "string"
},
"chainId": {
"type": "integer",
"exclusiveMinimum": 0
},
"issuer": {
"type": "string"
},
"quantity": {
"type": "string"
},
"transactionHash": {
"type": "string"
},
"supersedes": {
"type": "string",
"pattern": "^evt_[a-zA-Z0-9]+$"
},
"reorgBlockNumber": {
"type": "integer",
"minimum": 0
}
},
"required": [
"assetAddress",
"chainId",
"issuer",
"quantity",
"transactionHash",
"supersedes",
"reorgBlockNumber"
],
"additionalProperties": false
}TypeScript SDK example
import { verifyWebhook } from "@settlemint/dalp-sdk/verify-webhook";
import type { Webhook } from "@settlemint/dalp-sdk";
const result = await verifyWebhook({
rawBody,
headers,
secret: process.env.DALP_WEBHOOK_SECRET!,
});
if (!result.ok) {
throw new Error(`Webhook verification failed: ${result.code}`);
}
if (result.event.type === "asset.issuance.retracted") {
const event: Webhook.Event<"asset.issuance.retracted"> = result.event;
console.log(event.payload);
}curl example
curl -X POST https://consumer.example.com/dalp/webhooks \
-H "content-type: application/json" \
-H "webhook-id: evt_e58703a662a511df7fc78e14f9b6609b" \
-H "webhook-timestamp: 1778112000" \
-H "webhook-signature: v1,docs-example-signature" \
--data '{"evt_id":"evt_e58703a662a511df7fc78e14f9b6609b","lifecycle_state":"retracted","supersedes":"evt_assetIssuance001","payload":{"assetAddress":"0x1111111111111111111111111111111111111111","chainId":537001,"issuer":"0x2222222222222222222222222222222222222222","quantity":"1000000000000000000000","transactionHash":"0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","supersedes":"evt_assetIssuance001","reorgBlockNumber":18445201},"related":{"idxr_asset":"idxr_asset_example","idxr_token":"idxr_token_example"},"type":"asset.issuance.retracted","version":1,"request":{"idempotency_key":"idem_01JZP7R5W8M9N0P1Q2R3S4T5"}}'Version history
v1: Initial registry entry forasset.issuance.retracted.
Deprecation
This event type is not deprecated.
Manifest
The machine-readable AsyncAPI entry is published in the DALP events manifest.